# LockRequest (dapr-sdk-parent 1.10.0 API)

Package io.dapr.client.domain

## Class LockRequest

- java.lang.Object
- - io.dapr.client.domain.LockRequest

All Implemented Interfaces:
  `Serializable`

    public class LockRequest
    extends Object
    implements Serializable

A request to lock.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`LockRequest​(String storeName, String resourceId, String lockOwner, Integer expiryInSeconds)` Constructor of LockRequest.

### Method Summary

All Methods Instance Methods Concrete Methods
`Integer` `getExpiryInSeconds()`
`String` `getLockOwner()`
`String` `getResourceId()`
`String` `getStoreName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LockRequest

    public LockRequest​(String storeName,
                       String resourceId,
                       String lockOwner,
                       Integer expiryInSeconds)

Constructor of LockRequest.

Parameters:
  `storeName` - Name of the store
  `resourceId` - Lock key
  `lockOwner` - The identifier of lock owner
  `expiryInSeconds` - The time before expiry

### Method Detail

#### getStoreName

    public String getStoreName()

#### getResourceId

    public String getResourceId()

#### getLockOwner

    public String getLockOwner()

#### getExpiryInSeconds

    public Integer getExpiryInSeconds()